# Game Menu Banner

import pygame
from pygame.locals import *
import game, gfx

images = []
name = 'menu'
type = 'gif'

menu_start = 0 
menu_credits = 1
menu_quit = 2
menu_last = 3

def load_game_resources():
    global images, name, type
    for loop in range(0,3):
        images.append(gfx.load('%s%d.%s' % (name,loop,type)))

class Menu:
    def __init__(self, surface, background):
        global image
        self.images = images
        self.rect = self.images[0].get_rect()
        self.lastrect = self.rect
        self.x = 0
        self.y = 280
        self.rect.topleft = self.x,self.y
        self.rect.centerx = gfx.rect.centerx
        self.dead = 0
        self.item = 0
        self.surface = surface
        self.background = background

    def erase(self):
        # erase old menu
        self.surface.fill(0,self.rect)
        gfx.dirty(self.rect)
        self.background.fill(0,self.rect)

    def draw(self):
        # draw new menu
        r = self.surface.blit(self.images[self.item],self.rect)
        gfx.dirty2(r, self.lastrect)
        self.lastrect = r
        self.background.blit(self.images[self.item],self.rect)

    def tick(self, speedadjust = 1.0):
        pass

    def next_item(self):
        self.item = (self.item + 1) % menu_last

    def prev_item(self):
        self.item = (self.item - 1) % menu_last

    def get_item(self):
        return self.item

    def set_item(self, item):
        self.item = item % menu_last

        
